#!/usr/bin/ruby -w
# Chanathip Thumkanon
# 6210546650


require 'Nokogiri'
require 'open-uri'


class AkezurelScrape
    def initialize(url=nil)
        if url == nil
            @url = "https://www.set.or.th/set/companyhighlight.do?symbol=DELTA"
            # @url = "https://www.set.or.th/set/companyhighlight.do?symbol=A"
        else
            @url = url
        end
        @doc = nil
        @company = nil
        @price = nil
        @is_done_scrape = false
    end

    def do_scrape
        @doc = Nokogiri::HTML(open(@url))
        @company = @doc.css("h3").text
        @doc.css("tr").each do |tr|
            found = false
            tr.children.each.with_index do |c,index|
                if c.to_s.include? "สินทรัพย์รวม"
                    found = true
                end
                if found and index == 9
                    @price = c.text    
                    found = false
                end
            end
        end
        @is_done_scrape = true
    end

    def show_asset
        if !@is_done_scrape
            do_scrape
        end
        if @price == nil
            puts "No total assets price found."
        else
            puts "#{@company} : #{@price}"
        end
    end
end



# s = AkezurelScrape. new
# # s.do_scrape
# s.show_asset
